//
//		TEXIO USB488 Access Lib	Ver1.00
//
//	Copyright(c) 2012  TEXIO TECHNOLOGY CORPORATION.


#include  "StdAfx.h"

#define DLL_ERROR  -1
#define IF_GPIB 1
#define IF_COM  2


class IF60_API
{
public:
	
	long DeviceOpen( int Addr);
	int  DeviceClose( int Addr);
	int  Send( int Addr, char * Msg);
	int  SendBinary( int Addr , char * Stream , int iCount, int iMode);
	int  Receive( int Addr , int iCount , char * Query);
	int  SetTimeout( int Addr, int tTime);
	int  SetRemote( int Addr, int iMode);
	int	 GetRemote( int Addr) ;
	int	 DevClear( int Addr) ;
	int	 GetSTBQuery( int Addr) ;
	int  ClearSTB( int Addr);

	BOOL IFInitialize();

	IF60_API();
	virtual ~IF60_API();
	
	HINSTANCE m_IF60_APIDll;
	long ( __stdcall* m_IF60_DeviceOpen )( int );
	int  ( __stdcall* m_IF60_DeviceClose )( int );
	int  ( __stdcall* m_IF60_Send )( int , char * );
	int  ( __stdcall* m_IF60_SendBinary )( int ,char *,int , int );
	int  ( __stdcall* m_IF60_Receive )( int , int ,char * );
	int  ( __stdcall* m_IF60_SetTimeout )( int , int );
	int  ( __stdcall* m_IF60_SetRemote )( int , int );
	int	 ( __stdcall* m_IF60_GetRemote)( int ) ;
	int	 ( __stdcall* m_IF60_DevClear)( int ) ;
	int	 ( __stdcall* m_IF60_GetSTBQuery)( int ) ;
	int	 ( __stdcall* m_IF60_ClearSTB)( int ) ;

};



